Bug 409831 - (CVE-2007-6203) CVE-2007-6203 httpd: Garbage before http method name is not escaped in a reply in case of errorneous request
CVE-2007-6203 httpd: Garbage before http method name is not escaped in a repl...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=bugtraq,reported=20071130,publ...
: Security
Depends On: 445729 445888
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-04 03:13 EST by Lubomir Kundrak
Modified: 2011-09-19 17:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: apache 2.2.8, apache 2.0.63
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-04 03:16:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-04 03:13:57 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6203 to the following vulnerability:

Apache HTTP Server 2.0.x and 2.2.x does not sanitize the HTTP Method specifier header from an HTTP request when it is reflected back in a "413 Request Entity Too Large" error message, which might allow cross-site scripting (XSS) style attacks using web client components that can send arbitrary headers in requests, as demonstrated via an HTTP request containing an invalid Content-length value, a similar issue to CVE-2006-3918.

References:

http://www.securityfocus.com/archive/1/archive/1/484410/100/0/threaded
http://procheckup.com/Vulnerability_PR07-37.php
http://www.securityfocus.com/bid/26663
http://www.frsirt.com/english/advisories/2007/4060
http://secunia.com/advisories/27906
Comment 1 Lubomir Kundrak 2007-12-04 03:16:39 EST
Not vulnerable.

User can not control the part of the HTTP request before the method name and
thus can not be tricked into including malicious code there.
Comment 5 Mark J. Cox (Product Security) 2008-01-08 06:34:16 EST
Red Hat does not consider this issue to be a vulnerability. In order to exploit
this for cross-site scripting, the attacker would have to force the victims
browser to supply an arbitrary malformed HTTP method to a target site, and that
is not possible with current browsers or plugins.
Comment 6 Tomas Hoger 2008-11-04 10:31:11 EST
As described in the comment #5, this issue is not considered to be a security vulnerability.  However, due to the customer requests, problem was addressed as a regular bug in the following update for the httpd package in Red Hat Enterprise Linux 4 (released with 4.7):

  https://rhn.redhat.com/errata/RHBA-2008-0763.html
  * the request method is escaped in the built-in HTTP error responses.

The fix is also planned to be released in the httpd bug fix errata included in Red Hat Enterprise Linux 5.3.
Comment 7 Tomas Hoger 2009-11-13 03:49:58 EST
(In reply to comment #6)
> The fix is also planned to be released in the httpd bug fix errata included in
> Red Hat Enterprise Linux 5.3.

Included now also in httpd packages for Red Hat Enterprise Linux 5 as of:
  http://rhn.redhat.com/errata/RHBA-2009-0185.html

Patch name in SRPM: httpd-2.0.52-escaperrs.patch
Comment 8 Vincent Danen 2011-09-19 17:13:09 EDT
Statement:

Red Hat does not consider this issue to be a vulnerability. In order to exploit this for cross-site scripting, the attacker would have to get the victim to supply an arbitrary malformed HTTP method to a target site.  However, this has been fixed in Red Hat Enterprise Linux 5 via RHBA-2009:0185 as a bug fix.

Note You need to log in before you can comment on or make changes to this bug.